Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.jdbc.extensions
Interface DriverInterceptor

public interface DriverInterceptor

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `INTERFACE_NAME`

Method Summary
`void` | `postInvokeCallback(Object vendorObj, String methodName, Object[] params, Object ret)` WebLogic Server will invoke this method AFTER it calls a method in the JDBC driver.
`void` | `postInvokeExceptionCallback(Object vendorObj, String methodName, Object[] params, Throwable error)` WebLogic Server will invoke this method AFTER it calls a method in the JDBC driver.
`Object` | `preInvokeCallback(Object vendorObj, String methodName, Object[] params)` WebLogic Server will invoke this method BEFORE it calls a method in the JDBC driver.

Field Detail

### INTERFACE_NAME

    public static final String INTERFACE_NAME

See Also:
  Constant Field Values

Method Detail

### postInvokeCallback

    public void postInvokeCallback(Object vendorObj,
                                   String methodName,
                                   Object[] params,
                                   Object ret)
                            throws SQLException

  WebLogic Server will invoke this method AFTER it calls a method in the JDBC driver.

  Parameters:
    `vendorObj` - object who's method was invoked
    `methodName` - name of invoked method
    `ret` - output of the invoked method
  Throws:
    `SQLException` - WLS will rethrow this exception

### postInvokeExceptionCallback

    public void postInvokeExceptionCallback(Object vendorObj,
                                            String methodName,
                                            Object[] params,
                                            Throwable error)
                                     throws SQLException

  WebLogic Server will invoke this method AFTER it calls a method in the JDBC driver.

  Parameters:
    `vendorObj` - object who's method was invoked
    `methodName` - name of invoked method
    `error` - exception thrown from the invoked method
  Throws:
    `SQLException` - WLS will rethrow this exception

### preInvokeCallback

    public Object preInvokeCallback(Object vendorObj,
                                    String methodName,
                                    Object[] params)
                             throws SQLException

  WebLogic Server will invoke this method BEFORE it calls a method in the JDBC driver.

  Parameters:
    `vendorObj` - object who's method is being invoked
    `methodName` - name of method being invoked
  Returns:
    null proceed with method invokation
  Throws:
    `SQLException` - WLS will SKIP method invokation, and will rethrow this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD